%define upstream_name    Math-BigRat
%define upstream_version 0.260804

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Arbitrary big rational numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

# automatic dependency doesn't work here, because perl package
# provides an unversioned one

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Math::BigInt) >= 1.999.722
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-Math-BigInt >= 1.999.722
BuildArch:  noarch
Obsoletes:  perl-Math-BigRat < 0.260.600-4

%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing support
for arbitrary big rational numbers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
%__perl Makefile.PL INSTALLDIRS=vendor
%make

export PERL5LIB=%{perl_vendorlib}/

%install
%make_install

%files
%doc BUGS CHANGES INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.260.804-3pclos2017
- rebuild against updates

